
Redmine - Defect #3127

mailto: links not parsed properly in wiki markup

2009-04-06 12:15 - Marc Liyanage

Status: Closed Start date: 2009-04-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version: 0.8.3

Description

I wanted to use the following in our redmine’s welcome text:

... please contact the "system administrator":mailto:sysadmin@example.com?subject=redmine%20permis

sions ...

 This doesn’t work, "system administrator" is not turned into a mailto: link as expected. It does work with an http:// URL.

I also tried it in a wiki page and it’s the same there.

I think that this used to work. I’m pretty sure I put that text in when we originally installed redmine, and it worked as expected then,

so this might be a regression.

Associated revisions

Revision 2664 - 2009-04-07 19:35 - Jean-Philippe Lang

Allow textile mailto links (#3127).

Revision 2665 - 2009-04-07 19:38 - Jean-Philippe Lang

Add test for r2664 (#3127).

History

#1 - 2009-04-06 17:42 - Anonymous

Just noticed this as well.

It definitely did work correctly in the past.

#2 - 2009-04-06 21:10 - Marc Liyanage

I should mention that I updated from 0.8.0 directly to 0.8.3 so it could have been introduced anywhere in between, unless others can confirm that it

worked in 0.8.1 or 0.8.2.

#3 - 2009-04-07 19:37 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

Fixed in r2664.

I didn't try this kind of link before but it could have worked. Maybe it was broken by some refactoring that was done to prevent XSS attacks.

A test is now included (r2665) so that it doesn't break in the future.

#4 - 2009-04-24 18:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2681.
